use teloxide::{prelude::*, types::Document};

static EXTENSIONS: [&str; 3] = ["exe", "deb", "rpm"];

pub fn check_file(msg: Message) -> bool {
    match msg.document() {
        Some(s) => match get_extension(s.clone()) {
            Some(extension) => check_extension(extension),
            None => false,
        },
        None => false,
    }
}

fn get_extension(document: Document) -> Option<String> {
    match document.file_name {
        Some(name) => match name.split(".").last() {
            Some(extension) => Some(String::from(extension)),
            None => None,
        },
        None => None,
    }
}

fn check_extension(extension: String) -> bool {
    EXTENSIONS.contains(&extension.as_str())
}
